<!DOCTYPE html>
<html>
    <head>
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async="true" src="https://www.googletagmanager.com/gtag/js?id=UA-166753203-1"></script>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());

            gtag('config', 'UA-166753203-1');
        </script>
        <meta charset="utf-8"></meta>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"></meta>
        <title>People:Login</title>
        <udho:if test="submitted && count(errors) == 0">
            <meta http-equiv="refresh" content="1; url=/" />
        </udho:if>
        <style>
            html, body{
                position: relative;
                height: 100%;
            }
            body .main{
                height: 100%;
            }
        </style>
    </head>
    <body class="bg-gray-300">
        <div class="main flex flex-col" id="main">
            <wee-nav>
                <wee-nav-item href="/projects">Projects</wee-nav-item>
                <wee-nav-item href="/chat">Chat</wee-nav-item>
                <template slot="actions">
                    <wee-nav-item udho:if="loggedin"><a udho:target:href="/user/profile/`uid`"><udho:text value="uname" /></a></wee-nav-item>
                    <wee-nav-item udho:if="not(loggedin)" href="/user/login" action="true">Login</wee-nav-item>
                    <wee-nav-item udho:if="loggedin" href="/user/logout" action="true">Logout</wee-nav-item>
                </template>
            </wee-nav>
            <div class="flex-grow flex flex-row container max-w-full justify-center">
                <div class="self-center h-auto w-10/12 md:w-1/2 lg:w-1/3 xl:w-1/4">
                    <udho:if test="not(submitted)">
                        <div class="w-full text-center text-gray-400" style="font-size: 6rem;">Wee ...</div>
                        <div class="w-full text-center text-gray-400" style="font-size: 2rem;">The mass with difference</div>
                    </udho:if>
                    <udho:if test="submitted && count(errors) == 0">
                        <div class="rounded-lg bg-blue-400 p-2 text-white">
                            Login Successful. Redirecting...
                        </div>
                    </udho:if>
                    <udho:if test="submitted && count(errors) > 0">
                        <div class="messages rounded-lg bg-orange-400 p-2 text-white">
                            <div class="header text-white">Please correct the errors in the form</div>
                            <ul class="list list-disc pl-6 text-red-600">
                                <udho:for in="errors" value="msg">
                                    <li><udho:text value="msg" /></li>
                                </udho:for>
                            </ul>
                        </div>
                    </udho:if>
                    <udho:if test="not(submitted) || (submitted && not(valid)) || (submitted && count(errors) > 0)">
                        <div class="relative self-center flex flex-col min-w-0 break-words w-full pt-4 mt-6 mb-6 shadow-lg rounded-lg bg-white border-0">
                            <div class="flex-auto px-4 lg:px-10 py-10 pt-0">
                                <form method="post" action="/user/login">
                                    <div class="relative w-full mb-3">
                                        <label class="block uppercase text-gray-700 text-xs font-bold mb-2">Phone</label>
                                        <input name="phone" udho:if="submitted" udho:add-class:border-red-400 ="not(fields:phone.valid)" udho:add-class:border-2 ="not(fields:phone.valid)" udho:target:value="fields:phone.value" type="text" class="px-3 py-3 placeholder-gray-400 text-gray-700 bg-white rounded text-sm shadow focus:outline-none focus:shadow-outline w-full border" placeholder="Phone" style="transition: all 0.15s ease 0s;" />
                                        <input name="phone" udho:if="not(submitted)" type="text" class="px-3 py-3 placeholder-gray-400 text-gray-700 bg-white rounded text-sm shadow focus:outline-none focus:shadow-outline w-full border" placeholder="Phone" style="transition: all 0.15s ease 0s;" />
                                    </div>
                                    <div class="relative w-full mb-3">
                                        <label class="block uppercase text-gray-700 text-xs font-bold mb-2">Password</label>
                                        <input name="pass" udho:if="submitted"  udho:add-class:border-red-400 ="submitted && not(fields:pass.valid)" udho:add-class:border-2 ="submitted && not(fields:pass.valid)" udho:target:value="submitted ? fields:pass.value" type="password" class="px-3 py-3 placeholder-gray-400 text-gray-700 bg-white rounded text-sm shadow focus:outline-none focus:shadow-outline w-full border" placeholder="Password" style="transition: all 0.15s ease 0s;" />
                                        <input name="pass" udho:if="not(submitted)" type="password" class="px-3 py-3 placeholder-gray-400 text-gray-700 bg-white rounded text-sm shadow focus:outline-none focus:shadow-outline w-full border" placeholder="Password" style="transition: all 0.15s ease 0s;" />
                                    </div>
                                    <div>
                                        <label class="inline-flex items-center cursor-pointer">
                                            <input id="customCheckLogin" type="checkbox" class="form-checkbox text-gray-800 ml-1 w-5 h-5" style="transition: all 0.15s ease 0s;" /><span class="ml-2 text-sm font-semibold text-gray-700">Remember me</span></label>
                                    </div>
                                    <div class="text-center mt-6">
                                        <input type="submit" class="bg-gray-900 text-white active:bg-gray-700 text-sm font-bold uppercase px-6 py-3 rounded shadow hover:shadow-lg outline-none focus:outline-none mr-1 mb-1 w-full" value="Sign In" style="transition: all 0.15s ease 0s;" />
                                    </div>
                                </form>
                            </div>
                        </div>
                    </udho:if>
                </div>
            </div>
        </div>
        <script src="/dist/login.js"></script>
    </body>
</html>
